# This spec is backported to ALTLinux 4.1 automatically by rpmbph script. Do not edit it.
#
%define ver_major 0.8

# Make use of Beagle
%def_enable search
# Embed a playlist functionality based on libtotem
%def_enable playlist

Name: brasero
Version: %ver_major.4
Release: alt0.M41.1

Summary: CD/DVD burning tool for GNOME.
Url: http://www.gnome.org/projects/brasero/

License: %gpl2plus
Group: Archiving/Cd burning

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2
Patch: %name-0.8.4-alt-link.patch

Requires(post,preun): GConf

BuildPreReq: gnome-common rpm-build-gnome rpm-build-licenses

# From configure.in
BuildPreReq: glib2-devel >= 2.6.0
BuildPreReq: libgtk+2-devel >= 2.11.6
BuildPreReq: libgnomeui-devel >= 2.10.0
BuildPreReq: gnome-vfs-devel >= 2.14.2
BuildPreReq: gstreamer-devel >= 0.10.15
BuildPreReq: gst-plugins-devel >= 0.10.0
BuildPreReq: libxml2-devel >= 2.6.0
BuildPreReq: libburn-devel >= 0.4.0
BuildPreReq: libisofs-devel >= 0.6.4
%{?_enable_search:BuildPreReq: libbeagle-devel >= 0.3.0}
%{?_enable_playlist:BuildPreReq: libtotem-devel >= 2.22.0}
BuildPreReq: libdbus-glib-devel >= 0.7.2
BuildPreReq: intltool >= 0.35.0
BuildPrereq: libdbus-glib-devel >= 0.7.2
BuildPrereq: libhal-devel >= 0.5
BuildPrereq: libgio-devel >= 2.15.5
BuildPreReq: gnome-doc-utils > 0.3.2
BuildPreReq: gtk-doc >= 1.3
BuildRequires: libSM-devel
# for nautilus extension
BuildRequires: libeel-devel libnautilus-devel
# playlist support
BuildRequires: libtotem-pl-parser-devel evolution-data-server-devel

# to make vcd or video dvd
Requires: dvdauthor vcdimager gst-plugins-bad

BuildRequires: rpm-build-compat >= 0.95

%description
Brasero is an application to burn CD/DVD for the Gnome Desktop. It is designed
to be as simple as possible and has some unique features to enable users to
create their discs easily and quickly.

%package nautilus
Summary: Nautilus extension for the Brasero CD/DVD burning application
Group: Archiving/Cd burning
Requires: %name = %version-%release

%description nautilus
This package provides integration with the Brasero for the Nautilus file
manager.

%prep
%setup -q
%patch -p1

# fix categories in .desktop file
#subst 's/\(AudioVideo\);DiscBurning/Application;\1/' data/%name.desktop.*

%build
%autoreconf
%configure \
	--enable-libburnia \
	%{subst_enable search} \
	%{subst_enable playlist} \
	--enable-preview \
	--enable-inotify \
	--enable-caches \
	--disable-static \
	--disable-schemas-install \

%make

%install
%make DESTDIR=%buildroot install

%find_lang --with-gnome %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%_bindir/*
%dir %_libdir/%name
%dir %_libdir/%name/plugins
# Without some of these plugins Brasero will crash. So I prefer to mention
# them explicitly here.
%_libdir/%name/plugins/lib%name-cdrdao.so
%_libdir/%name/plugins/lib%name-cdrecord.so
%_libdir/%name/plugins/lib%name-dvdcss.so
%_libdir/%name/plugins/lib%name-dvdrwformat.so
%_libdir/%name/plugins/lib%name-genisoimage.so
%_libdir/%name/plugins/lib%name-growisofs.so
%_libdir/%name/plugins/lib%name-libburn.so
%_libdir/%name/plugins/lib%name-libisofs.so
%_libdir/%name/plugins/lib%name-local-track.so
%_libdir/%name/plugins/lib%name-checksum.so
%_libdir/%name/plugins/lib%name-checksum-file.so
%_libdir/%name/plugins/lib%name-normalize.so
%_libdir/%name/plugins/lib%name-mkisofs.so
%_libdir/%name/plugins/lib%name-readcd.so
%_libdir/%name/plugins/lib%name-readom.so
%_libdir/%name/plugins/lib%name-toc2cue.so
%_libdir/%name/plugins/lib%name-transcode.so
%_libdir/%name/plugins/lib%name-wodim.so
%_libdir/%name/plugins/lib%name-dvdauthor.so
%_libdir/%name/plugins/lib%name-vcdimager.so
%_libdir/%name/plugins/lib%name-vob.so
%_libdir/%name/plugins/lib%name-burn-uri.so
%_desktopdir/%name.desktop
%dir %_datadir/%name
%_datadir/%name/*
%_iconsdir/hicolor/??x??/apps/%name.png
%_iconsdir/hicolor/scalable/apps/%name.svg
%_man1dir/%name.1.gz
%_datadir/mime/packages/%name.xml
%config %_sysconfdir/gconf/schemas/%name.schemas

%exclude %_libdir/%name/plugins/lib%name-*.la

%files nautilus
%_libdir/nautilus/extensions-2.0/libnautilus-brasero-extension.so
%_desktopdir/%name-copy-medium.desktop
%_desktopdir/%name-open-image.desktop
%_desktopdir/%name-open-playlist.desktop
%_desktopdir/%name-open-project.desktop

%exclude %_libdir/nautilus/extensions-2.0/libnautilus-%name-extension.la

%changelog
* Mon Dec 15 2008 Yuri N. Sedunov <aris@altlinux.org> 0.8.4-alt0.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Sun Dec 14 2008 Yuri N. Sedunov <aris@altlinux.org> 0.8.4-alt1
- new version

* Mon Nov 10 2008 Yuri N. Sedunov <aris@altlinux.org> 0.8.3-alt1
- 0.8.3
- new nautilus subpackage
- playlist support via libtotem-pl-parser

* Mon Sep 15 2008 Yuri N. Sedunov <aris@altlinux.org> 0.8.2-alt1
- new version

* Tue Aug 12 2008 Yuri N. Sedunov <aris@altlinux.org> 0.8.1-alt1
- new version
- requires dvdauthor, vcdimager, gst-plugins-bad for video
  projects.

* Sat Jul 19 2008 Yuri N. Sedunov <aris@altlinux.org> 0.8.0-alt1
- new version

* Thu Jul 03 2008 Yuri N. Sedunov <aris@altlinux.org> 0.7.91-alt1
- new version.
- updted reqs.
- playlist functionality based on libtotem temporarily disabled -
  new totem required.
- don't built help files 

* Fri Mar 07 2008 Alexey Rusakov <ktirf@altlinux.org> 0.7.1-alt3
- Rebuilt with new libburn and libisofs.
- Fixed desktop files categories (thanks to repocop).
- Temporarily disabled libburn/libisofs plugins.

* Sat Mar 01 2008 Alexey Rusakov <ktirf@altlinux.org> 0.7.1-alt2
- Added %%update_menus/%%clean_menus to the package scripts (thanks to
  repocop).

* Mon Jan 28 2008 Alexey Rusakov <ktirf@altlinux.org> 0.7.1-alt1
- New version (0.7.1).
- Updated buildreqs.

* Wed Dec 26 2007 Alexey Rusakov <ktirf@altlinux.org> 0.7.0-alt1
- New version (0.7.0).
- Updated buildreqs (including buildreq on libburn-devel >= 0.4.0).
- Turned integration with Beagle back on (new libbeagle is required now).

* Tue Dec 18 2007 Alexey Rusakov <ktirf@altlinux.org> 0.6.90-alt1
- New version (0.6.90).
- Updated the files list.
- Use license macro.
- Disabled Beagle because of incompatibility with new libbeagle.
- Added configure switches to include all (except search) possible plugins.

* Sat Sep 22 2007 Alexey Rusakov <ktirf@altlinux.org> 0.6.1-alt1.1
- rebuilt with new libisofs.

* Fri Sep 14 2007 Alexey Rusakov <ktirf@altlinux.org> 0.6.1-alt1
- new version 0.6.1 (with rpmrb script)

* Mon Jun 25 2007 Alexey Rusakov <ktirf@altlinux.org> 0.5.90-alt3
- spec cleanup, updated dependencies

* Thu Jun 21 2007 Andrii Dobrovol`s`kii <dobr@iop.kiev.ua> 0.5.90-alt2
- build with libburn.

* Thu Jun 21 2007 Andrii Dobrovol`s`kii <dobr@iop.kiev.ua> 0.5.90-alt1
- build with totem and beagle.

* Sat Jun 16 2007 Andrii Dobrovol`s`kii <dobr@iop.kiev.ua> 0.5.2-alt0
- initial build for ALT Linux (Sisyphus) with help from Alexey Rusakov.

